pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/39565: update lout package

>Number:         39565
>Category:       pkg
>Synopsis:       update lout  package
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          change-request
>Submitter-Id:   net
>Arrival-Date:   Tue Sep 16 18:20:01 +0000 2008
>Originator:     B K
>Release:        current
pkgsrc's textproc/lout package is 10 minor revisions out of date.  It should be 
considered for an update in the future.

It's current version in pkgsrc is 3.26 and 3.36 is the current version.  
Likewise, lout's author is planning on rolling up some bugfixes in the 
short-term so 3.37 might be applicable after someone looks at this.

Unfortunately, I just tested changing the Makefile from 3.26 to 3.36 and the 
simple change doesn't quite work.  There are several problems:
  * patch-aa doesn't apply cleanly
  * doing the same work by hand leads to a system that fails `make install' 
because of missing directories.

All in all, lout's install method's a bit weird.

Home | Main Index | Thread Index | Old Index